# Enum SocketWrapperBase.CompletionHandlerCall

java.lang.Object
java.lang.Enum<SocketWrapperBase.CompletionHandlerCall>
org.apache.tomcat.util.net.SocketWrapperBase.CompletionHandlerCall

All Implemented Interfaces:
  `Serializable, Comparable<SocketWrapperBase.CompletionHandlerCall>, java.lang.constant.Constable`

Enclosing class:
  `SocketWrapperBase<E>`

public static enum SocketWrapperBase.CompletionHandlerCall extends Enum<SocketWrapperBase.CompletionHandlerCall>
Defines the possible outcomes for completion handler invocation.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTINUE`
Operation should continue, the completion handler shouldn't be called.
`DONE`
The operation is complete, the completion handler should be called.
`NONE`
The operation completed but the completion handler shouldn't be called.

## Method Summary

Modifier and Type
Method
Description
`static SocketWrapperBase.CompletionHandlerCall`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketWrapperBase.CompletionHandlerCall[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTINUE

public static final SocketWrapperBase.CompletionHandlerCall CONTINUE
Operation should continue, the completion handler shouldn't be called.

### NONE

public static final SocketWrapperBase.CompletionHandlerCall NONE
The operation completed but the completion handler shouldn't be called.

### DONE

public static final SocketWrapperBase.CompletionHandlerCall DONE
The operation is complete, the completion handler should be called.

## Method Details

### values

public static SocketWrapperBase.CompletionHandlerCall[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketWrapperBase.CompletionHandlerCall valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null